PLplot: gcw-lib.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions | Variables
gcw-lib.c File Reference
`#include "gcw.h"`

Go to the source code of this file.

## Functions
void | gcw_debug (char *msg)
void | gcw_set_gdk_color ()
void | gcw_clear_background ()
void | gcw_init_canvas (GnomeCanvas *canvas)
gint | delete_event (GtkWidget *widget, GdkEvent *event, gpointer data)
void | destroy (GtkWidget *widget, gpointer data)
void | zoom (gpointer data, gint flag)
void | zoom_in (GtkWidget *widget, gpointer data)
void | zoom_100 (GtkWidget *widget, gpointer data)
void | zoom_out (GtkWidget *widget, gpointer data)
void | file_ok_sel (GtkWidget *w, gpointer data)
void | file_cancel_sel (GtkWidget *w, gpointer data)
void | filesel (GtkWidget *widget, gpointer data)
void | key_release (GtkWidget *widget, GdkEventKey *event, gpointer data)
void | gcw_install_canvas (GnomeCanvas *canvas)
void | gcw_set_device_size (PLINT width, PLINT height)
void | gcw_set_canvas_size (GnomeCanvas *canvas, PLINT width, PLINT height)
void | gcw_set_canvas_zoom (GnomeCanvas *canvas, PLFLT magnification)
void | gcw_use_text (PLINT use_text)
void | gcw_use_pixmap (PLINT use_pixmap)
void | gcw_use_hrshsym (PLINT use_hrshsym)
void | gcw_use_persistence (PLINT use_persistence)

## Variables
PLStream * | pls []
gint | count = 0

## Function Documentation

gint delete_event | ( | GtkWidget * | widget,
|  | GdkEvent * | event,
|  | gpointer | data
| ) |  |

Definition at line 181 of file gcw-lib.c.

void destroy | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Definition at line 187 of file gcw-lib.c.

void file_cancel_sel | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

Definition at line 468 of file gcw-lib.c.

void file_ok_sel | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

Definition at line 275 of file gcw-lib.c.

void filesel | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Definition at line 480 of file gcw-lib.c.

void gcw_clear_background | ( |  | ) |

Definition at line 82 of file gcw-lib.c.

void gcw_debug | ( | char * | msg | ) |

Definition at line 35 of file gcw-lib.c.

void gcw_init_canvas | ( | GnomeCanvas * | canvas | ) |

Definition at line 125 of file gcw-lib.c.

void gcw_install_canvas | ( | GnomeCanvas * | canvas | ) |

Definition at line 539 of file gcw-lib.c.

void gcw_set_canvas_size | ( | GnomeCanvas * | canvas,
|  | PLINT | width,
|  | PLINT | height
| ) |  |

Definition at line 728 of file gcw-lib.c.

void gcw_set_canvas_zoom | ( | GnomeCanvas * | canvas,
|  | PLFLT | magnification
| ) |  |

Definition at line 839 of file gcw-lib.c.

void gcw_set_device_size | ( | PLINT | width,
|  | PLINT | height
| ) |  |

Definition at line 700 of file gcw-lib.c.

void gcw_set_gdk_color | ( |  | ) |

Definition at line 50 of file gcw-lib.c.

void gcw_use_hrshsym | ( | PLINT | use_hrshsym | ) |

Definition at line 933 of file gcw-lib.c.

void gcw_use_persistence | ( | PLINT | use_persistence | ) |

Definition at line 956 of file gcw-lib.c.

void gcw_use_pixmap | ( | PLINT | use_pixmap | ) |

Definition at line 911 of file gcw-lib.c.

void gcw_use_text | ( | PLINT | use_text | ) |

Definition at line 881 of file gcw-lib.c.

void key_release | ( | GtkWidget * | widget,
|  | GdkEventKey * | event,
|  | gpointer | data
| ) |  |

Definition at line 523 of file gcw-lib.c.

void zoom | ( | gpointer | data,
|  | gint | flag
| ) |  |

Definition at line 199 of file gcw-lib.c.

void zoom_100 | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Definition at line 257 of file gcw-lib.c.

void zoom_in | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Definition at line 251 of file gcw-lib.c.

void zoom_out | ( | GtkWidget * | widget,
|  | gpointer | data
| ) |  |

Definition at line 263 of file gcw-lib.c.

## Variable Documentation

gint count = 0

Definition at line 726 of file gcw-lib.c.

PLStream* pls[]